iOS cocoPods导入 RTC1.4.2 跟RTM的最新版本 运行报错Redefinition of enumerator 'AgoraAreaCodeCN'

发现两个包里面都有同样的枚举声明,运行不了

是RTM1.4.2 RTC是3.1.2

用手动集成试一下呢?image

处理了好久, 这个坑 文档需要详细一点呢

最佳实践里面有进行说明
但是不够详细, 这个我使用cocoaPods 导入的 ,然后这样引入
#import <AgoraRtmKit/AgoraRtmKit_swift.h>
同时得删除 原本的AgoraRtmKit.h 不然还会编译错误